﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<CMSNavigation>


@(
 Html.Grid(Model).Named("AllNavigation").Columns(columns =>
{

    columns.Add(x => x.Name)
        .Titled("Name")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Name).Filterable(true);


    columns.Add(x => x.Controller)
        .Titled("Controller")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Controller).Filterable(true);
    
    columns.Add(x => x.IsChild)
        .Titled("IsChild")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.IsChild.ToString()).Filterable(true);

    columns.Add(x => x.CMSNavigation2.Name)
        .Titled("Parent")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => (x.ParentID != null) ? x.CMSNavigation2.Name : string.Empty).Filterable(true);
    
    columns.Add(x => x.IsHide)
        .Titled("IsHide")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.IsHide.ToString()).Filterable(true);
    
    columns.Add(x => x.sort)
        .Titled("Sort")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.sort.ToString()).Filterable(true);
    
    columns.Add(x => x.CreatedDate)
        .Titled("Created Date")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

    columns.Add()
        .Titled("Edit")
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.CMSNavigation.Edit(x.ID))));

    columns.Add()
        .Titled("Delete")
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.CMSNavigation.Delete(x.ID)), x.Name));

}).Filterable()
.Sortable()
.WithPaging(5)
)

